Subject: bug#48108: Wishlist: Command to remove redundant eln cache directories [native-comp]

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 13:01:26 +0200

Eli Zaretskii <[email-masked]> writes:

>> The last element in that variable is supposed to be the system
>> directory...  but perhaps it'd make sense for this command to prune .eln
>> directories in all directories in native-comp-eln-load-path where the
>> user has write access?
>
> That's what I'm asking, basically.

I've now added this to Emacs 29 under the name
`native-compile-prune-cache'.  (Feel free to adjust the name -- I felt
that -clear-cache was misleading, since we're not removing the cache for
the current invocation.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no